
package net.brutex.sbm.wsclient;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Value complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Value">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="displayValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="internalValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="uuid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="extraValues" type="{urn:aewebservices71}ExtraValue" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Value", propOrder = {
    "displayValue",
    "internalValue",
    "uuid",
    "extraValues"
})
public class Value {

    @XmlElementRef(name = "displayValue", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> displayValue;
    @XmlElementRef(name = "internalValue", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> internalValue;
    @XmlElementRef(name = "uuid", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> uuid;
    protected List<ExtraValue> extraValues;

    /**
     * Gets the value of the displayValue property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getDisplayValue() {
        return displayValue;
    }

    /**
     * Sets the value of the displayValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setDisplayValue(JAXBElement<String> value) {
        this.displayValue = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the internalValue property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getInternalValue() {
        return internalValue;
    }

    /**
     * Sets the value of the internalValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setInternalValue(JAXBElement<String> value) {
        this.internalValue = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the uuid property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getUuid() {
        return uuid;
    }

    /**
     * Sets the value of the uuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setUuid(JAXBElement<String> value) {
        this.uuid = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the extraValues property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the extraValues property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getExtraValues().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ExtraValue }
     * 
     * 
     */
    public List<ExtraValue> getExtraValues() {
        if (extraValues == null) {
            extraValues = new ArrayList<ExtraValue>();
        }
        return this.extraValues;
    }

}
